<div *ngIf="this.loaderStatus">
  <app-loader></app-loader>
</div>
<div class="search-container" id="searchContainer">
  <button class="search-button">
    <img src="{{iconsBaseUrl+'search.png'}}" alt="search-icon">
  </button>
  <input type="text" [(ngModel)]="searchQuery" class="search-bar"
    placeholder="Search for name, author, title, description">

</div>
<div [@hideshowanimation]=currentState>
  <app-addblogpost (feedComponentChangeState)="changeState()" (feedComponentGetAllPost)="getAllBolgPost()">
  </app-addblogpost>
</div>
<span (click)="changeState()" class="add-post-floating-button" appScrolltotarget="searchContainer"><img
    [src]="floButtonIcon" style="width: 100%;" alt="add post form button"></span>

<section class="feed-container">

  <h1 class="header-title">Showing {{blogPosts.length}} posts</h1>

  <div class="post-feed-container">

    <div *ngFor="let post of blogPosts | filterpost : searchQuery" class="post-container">
      <div class="background-image-container" [ngStyle]="{'background-image': 'url(' + post.poster + ')'}"
        (click)="ngNavigateToPost(post.id)">
        <div class="post-description">
          <div class="post-description-date-and-title">
            <p>{{post.title}}</p>
            <p>{{post.publish_date| date: 'dd-MM-yyyy'}}</p>
          </div>
          <div>

            <p>{{post.description}}</p>
            <p class="post-author"> - {{post.author}}</p>
          </div>

        </div>
      </div>
    </div>
  </div>
</section>
